Subject: Re: bug#20280: 25.0.50; Auto revert mode appears to be non-functional

From: "Christopher Carpenter" <[email-masked]>
Date: Wed, 8 Apr 2015 14:54:55 -0500

Alright, got this to reproduce with emacs -Q

M-x wasn't working for me in emacs -Q on Mac so I had to be a bit inventive.

I'm guessing it is a darwin specific issue like you said.

Exact steps for me:

Start with emacs -Q

Put: (global-set-key (kbd "<f2> a") 'auto-revert-mode) in *scratch*

Run above lisp command using C-x e

C-x f ~/test.txt

<f2> a

*** It says Auto-Revert mode enabled in current buffer. ARev shows in mode
line ***

In separate terminal, echo "blargh" > test.txt

*** Nothing happens in test.txt buffer. ***

>> From: Christopher Carpenter <[email-masked]>
>> Date: Wed, 08 Apr 2015 12:20:10 -0500
>>
>>
>> M-x find-file /tmp/some-file
>> M-x auto-revert-mode
>>
>> **** IN A SEPARATE PROCESS CAUSE THE FILE TO CHANGE ***
>>
>> Expected: Buffer automatically reverts
>> Actual: Buffer shows a M in mode line signifying the file has changed,
>> but does not revert.
>
> I cannot reproduce this, with today's Git repository.
>
> Does this happen in "emacs -Q"?
> Does this happen with any file, or just with files in /tmp?
>
> Could be Darwin-specific (I don't have access to such a system).
>
>